cordova.define("cordova-plugin-hybrid-hotfix.HOTFIX", function(require, exports, module) {
var exec = require('cordova/exec');
var channel = require('cordova/channel');

var HOTFIX = function () {};

HOTFIX.check = function (param, onDone, onError) {
  exec(onDone, onError, 'HotFix', 'check', [param]);
};

HOTFIX.download = function (param, onDone, onError) {
  exec(onDone, onError, 'HotFix', 'download', [param]);
};

HOTFIX.reset = function (onDone, onError) {
  exec(onDone, onError, 'HotFix', 'reset', []);
};

HOTFIX.update = function (onDone, onError) {
  exec(onDone, onError, 'HotFix', 'update', []);
};

module.exports = HOTFIX;

});
